#
# spec file for package grip (Version 3.1.4)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  alsa alsa-devel atk atk-devel audiofile bonobo-activation bonobo-activation-devel cdparanoia docbook-dsssl-stylesheets docbook-toys docbook_3 docbook_4 esound esound-devel expat freetype2 freetype2-devel gcc-c++ gconf2 gconf2-devel glib2 glib2-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gnome-vfs2 gnome-vfs2-devel gnome2-devel-packages gtk2 gtk2-devel id3lib id3lib-devel imlib imlib-devel iso_ent libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libghttp libghttp-devel libglade libglade-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeui libgnomeui-devel libjpeg libstdc++ libstdc++-devel libxml2 libxml2-devel linc linc-devel openjade opensp openssl openssl-devel orbit2 orbit2-devel pango pango-devel pkgconfig popt popt-devel resmgr sgml-skel update-desktop-files vte vte-devel xf86 xmlcharent

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs alsa alsa-devel atk atk-devel audiofile autoconf automake binutils cdparanoia db1 db1-devel docbook-dsssl-stylesheets docbook-toys docbook_3 docbook_4 esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-filesystem gnome-libs gnome-libs-devel gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel id3lib id3lib-devel imlib imlib-devel iso_ent libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libghttp libghttp-devel libglade libglade-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libjpeg libstdc++-devel libtool libwnck libwnck-devel libxml2 libxml2-devel linc linc-devel openjade opensp openssl-devel orbit2 orbit2-devel pango pango-devel perl pkgconfig popt-devel resmgr rpm sgml-skel update-desktop-files vte vte-devel xmlcharent

Name:         grip
URL:          http://www.nostatic.org/grip/
License:      GPL
Group:        Productivity/Multimedia/Sound/Utilities
Requires:     vorbis-tools
Autoreqprov:  on
Version:      3.1.4
Release:      37.2
Summary:      An Audio CD Ripping Application
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}-cdda.patch
Patch1:       %{name}-%{version}-ogg.patch
Patch2:       grip-cddb-overflow.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define prefix /opt/gnome

%description
Grip automates the process of extracting audio CD data, encoding it
with Ogg Vorbis, and naming the resulting files using CDDB data. It
also allows creation of MP3 files if you have an MP3 encoder installed.



Authors:
--------
    Mike Oliphant <oliphant@gtk.org>

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{?suse_update_config:%{suse_update_config}}
autoreconf -i -f
CPPFLAGS="-I%{prefix}/include" CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} --mandir=%_mandir --with-gnome=%{prefix} --with-gnome-libs=%{prefix}/%_lib
make
pushd doc/C
	db2html grip.xml
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
pushd doc/C
	cp -a grip/* $RPM_BUILD_ROOT/%prefix/share/gnome/help/grip/C/
popd
%suse_update_desktop_file grip AudioVideo CD
%find_lang grip-2.2

%clean
rm -rf $RPM_BUILD_ROOT

%files -f grip-2.2.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README TODO
%prefix/bin/grip
%prefix/share/applications/grip.desktop
%prefix/share/gnome/help/grip
%prefix/share/pixmaps/gripicon.png

%changelog -n grip
* Wed Mar 30 2005 - hvogel@suse.de
- fix two buffer overflows in the cddb handling (Bug #71933)
* Thu Apr 01 2004 - meissner@suse.de
- Set default encoder to oggenc, default ext. to .ogg,
  since we do not ship mp3 stuff.
* Mon Feb 16 2004 - meissner@suse.de
- Upgraded to 3.1.4.
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Thu Oct 09 2003 - meissner@suse.de
- upgraded to 3.1.2, add docu build, added vte, vte-devel.
* Mon Sep 29 2003 - meissner@suse.de
- Upgraded to 3.1.1.
* Sat Aug 16 2003 - adrian@suse.de
- add Categories
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jun 20 2003 - ro@suse.de
- fix build with gettext
* Sun Mar 02 2003 - meissner@suse.de
- added resmgr to neededforbuild (cdparanoia needs it)
* Thu Feb 06 2003 - meissner@suse.de
- Added documentation generating neededforbuilds etc.
* Wed Feb 05 2003 - meissner@suse.de
- update -> 3.0.5
  Translations (de, ja, ru) and documentation were updated. A
  problem was fixed that caused disc lookups to fail on some systems.
  Several minor ripping bugs were fixed.
* Thu Jan 09 2003 - meissner@suse.de
- update -> 3.0.4
* Mon Sep 30 2002 - uli@suse.de
- update -> 3.0.3
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Tue Jul 02 2002 - meissner@suse.de
- rerun auto* tools, buildrootet.
* Mon Jun 10 2002 - uli@suse.de
- update -> 3.0.0
* Mon Aug 13 2001 - uli@suse.de
- initial package
